classification
Title: test_tools very slow
Type: performance Stage:
Components: Tests Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mark.dickinson Nosy List: mark.dickinson, pitrou, python-dev
Priority: normal Keywords:

Created on 2012-05-07 19:45 by pitrou, last changed 2012-06-23 08:31 by mark.dickinson. This issue is now closed.

Messages (4)
msg160165 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-07 19:45
Apparently test_unparse goes a bit overboard. test_compiler in 2.x had a more reasonable approach: it only compiled all files with -uall, otherwise it would choose 10 at random.
msg160171 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-05-07 21:34
That sounds like a better approach.  I'll back out the test_unparse inclusion until this can be fixed.
msg160172 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-05-07 21:37
New changeset dbfacec7e368 by Mark Dickinson in branch 'default':
Issue #14742:  Don't include DirectoryTestCase from test_unparse in test_tools until we can speed it up.
http://hg.python.org/cpython/rev/dbfacec7e368
msg163549 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-06-23 08:28
New changeset 0e5a698d3c4c by Mark Dickinson in branch 'default':
Issue #14742: test_unparse now only checks a limited number of files unless the 'cpu' resource is specified.
http://hg.python.org/cpython/rev/0e5a698d3c4c
History
Date User Action Args
2012-06-23 08:31:07mark.dickinsonsetresolution: fixed
2012-06-23 08:30:52mark.dickinsonsetstatus: open -> closed
2012-06-23 08:28:49python-devsetmessages: + msg163549
2012-05-09 07:25:48mark.dickinsonsetassignee: mark.dickinson
2012-05-07 21:37:02python-devsetnosy: + python-dev
messages: + msg160172
2012-05-07 21:34:47mark.dickinsonsetmessages: + msg160171
2012-05-07 19:45:15pitroucreate